extends KinematicBody2D

const ANIM_SPEED = 7 # アニメーション速度
const GRAVITY = 45 # 重力
const JUMP_POWER = 1000 # ジャンプ力
const MOVE_SPEED = 300 # 移動速度.
const MAX_JUMP_CNT = 2 # 2段ジャンプまで可能.

onready var _spr = $Player # スプライト

var _tAnim:float = 0 # アニメーションタイマー.
var _velocity := Vector2.ZERO # 移動ベクトル.
var _is_jumping = false # ジャンプ中かどうか.
var _cnt_jump = 0 # ジャンプ回数.
var _speed := MOVE_SPEED # 移動速度.

# 更新.
func _process(delta: float) -> void:
	# アニメーションの更新.
	_update_anim(delta)

func _update_anim(delta:float) -> void:
	_tAnim += delta
	
	var t = int(_tAnim * ANIM_SPEED) % 2
	var tbl = [2, 3] # 走りアニメーションしか使わない.
	_spr.frame = tbl[t]
